import { Metadata } from 'next';
import UserList from '@/components/users/UserList';

export const metadata = {
  title: "Baymax | Users",
  description: "Generated by create next app",
};

async function fetchUsers() {
  const response = await fetch("https://jsonplaceholder.typicode.com/users");
  const data = await response.json();
  return data;
}

export default async function page() {
  const users = await fetchUsers();
  return (
    <UserList users={users} />
  );
}
